xmonad-contrib-0.13: Third party extensions for xmonad

Copyright | (c) Spencer Janssen <spencerjanssen@gmail.com> David Roundy <droundy@darcs.net>, Andrea Rossato <andrea.rossato@unibz.it>
License | BSD3-style (see LICENSE)
Maintainer | Andrea Rossato <andrea.rossato@unibz.it>
Stability | unstable
Portability | unportable
Safe Haskell | None
Language | Haskell98

XMonad.Layout.DragPane

Contents

- Usage

Description

Layouts that splits the screen either horizontally or vertically and shows two windows. The first window is always the master window, and the other is either the currently focused window or the second window in layout order.

Synopsis

- dragPane :: DragType -> Double -> Double -> DragPane a
- data DragPane a
- data DragType
  - = Horizontal
  - | Vertical

# Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

    import XMonad.Layout.DragPane

Then edit your `layoutHook` by adding the DragPane layout:

    myLayout = dragPane Horizontal 0.1 0.5 ||| Full ||| etc..
    main = xmonad def { layoutHook = myLayout }

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

dragPane :: DragType -> Double -> Double -> DragPane a #

data DragPane a #

Instances

LayoutClass DragPane a # |
Methods runLayout :: Workspace WorkspaceId (DragPane a) a -> Rectangle -> X ([(a, Rectangle)], Maybe (DragPane a)) # doLayout :: DragPane a -> Rectangle -> Stack a -> X ([(a, Rectangle)], Maybe (DragPane a)) # pureLayout :: DragPane a -> Rectangle -> Stack a -> [(a, Rectangle)] # emptyLayout :: DragPane a -> Rectangle -> X ([(a, Rectangle)], Maybe (DragPane a)) # handleMessage :: DragPane a -> SomeMessage -> X (Maybe (DragPane a)) # pureMessage :: DragPane a -> SomeMessage -> Maybe (DragPane a) # description :: DragPane a -> String #
Read (DragPane a) # |
Methods readsPrec :: Int -> ReadS (DragPane a) # readList :: ReadS [DragPane a] # readPrec :: ReadPrec (DragPane a) # readListPrec :: ReadPrec [DragPane a] #
Show (DragPane a) # |
Methods showsPrec :: Int -> DragPane a -> ShowS # show :: DragPane a -> String # showList :: [DragPane a] -> ShowS #

data DragType #

Constructors

Horizontal |
Vertical |

Instances

Read DragType # |
Methods readsPrec :: Int -> ReadS DragType # readList :: ReadS [DragType] # readPrec :: ReadPrec DragType # readListPrec :: ReadPrec [DragType] #
Show DragType # |
Methods showsPrec :: Int -> DragType -> ShowS # show :: DragType -> String # showList :: [DragType] -> ShowS #